-------------------------------------------------------------------------------
-- system_stub.vhd
-------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

library UNISIM;
use UNISIM.VCOMPONENTS.ALL;

entity system_stub is
  port (
    fpga_0_DIP_Switches_8Bit_GPIO_IO_pin : inout std_logic_vector(0 to 7);
    sys_clk_pin : in std_logic;
    sys_rst_pin : in std_logic;
    REFCLK_N_IN_pin : in std_logic;
    REFCLK_P_IN_pin : in std_logic;
    EMAC_READY_pin : out std_logic;
    PHY_RESET_0_pin : out std_logic;
    HARD_ERROR_pin : out std_logic;
    SOFT_ERROR_pin : out std_logic;
    FRAME_ERROR_pin : out std_logic;
    LANE_UP_pin : out std_logic;
    CHANNEL_UP_pin : out std_logic;
    LCD_IO_pin : inout std_logic_vector(0 to 6)
  );
end system_stub;

architecture STRUCTURE of system_stub is

  component system is
    port (
      fpga_0_DIP_Switches_8Bit_GPIO_IO_pin : inout std_logic_vector(0 to 7);
      sys_clk_pin : in std_logic;
      sys_rst_pin : in std_logic;
      REFCLK_N_IN_pin : in std_logic;
      REFCLK_P_IN_pin : in std_logic;
      EMAC_READY_pin : out std_logic;
      PHY_RESET_0_pin : out std_logic;
      HARD_ERROR_pin : out std_logic;
      SOFT_ERROR_pin : out std_logic;
      FRAME_ERROR_pin : out std_logic;
      LANE_UP_pin : out std_logic;
      CHANNEL_UP_pin : out std_logic;
      LCD_IO_pin : inout std_logic_vector(0 to 6)
    );
  end component;

begin

  system_i : system
    port map (
      fpga_0_DIP_Switches_8Bit_GPIO_IO_pin => fpga_0_DIP_Switches_8Bit_GPIO_IO_pin,
      sys_clk_pin => sys_clk_pin,
      sys_rst_pin => sys_rst_pin,
      REFCLK_N_IN_pin => REFCLK_N_IN_pin,
      REFCLK_P_IN_pin => REFCLK_P_IN_pin,
      EMAC_READY_pin => EMAC_READY_pin,
      PHY_RESET_0_pin => PHY_RESET_0_pin,
      HARD_ERROR_pin => HARD_ERROR_pin,
      SOFT_ERROR_pin => SOFT_ERROR_pin,
      FRAME_ERROR_pin => FRAME_ERROR_pin,
      LANE_UP_pin => LANE_UP_pin,
      CHANNEL_UP_pin => CHANNEL_UP_pin,
      LCD_IO_pin => LCD_IO_pin
    );

end architecture STRUCTURE;

